Loading...
Searching...
No Matches
Opm::FvBaseIntensiveQuantities< TypeTag > Class Template Reference

Base class for the model specific class which provides access to all intensive (i.e., volume averaged) quantities. More...

`#include <fvbaseintensivequantities.hh>`

## Public Member Functions

void | update (const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx)
| Update all quantities for a given control volume.
Scalar | extrusionFactor () const
| Return how much a given sub-control volume is extruded.
void | checkDefined () const
| If running in valgrind this makes sure that all quantities in the intensive quantities are defined.

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the intensive quantities.

## Protected Attributes

Scalar | extrusionFactor_ {}

## Detailed Description

template<class TypeTag>
class Opm::FvBaseIntensiveQuantities< TypeTag >

Base class for the model specific class which provides access to all intensive (i.e., volume averaged) quantities.

## Member Function Documentation

## extrusionFactor()

template<class TypeTag>

Scalar Opm::FvBaseIntensiveQuantities< TypeTag >::extrusionFactor | ( |  | ) | const

inline

Return how much a given sub-control volume is extruded.

This means the factor by which a lower-dimensional (1D or 2D) entity needs to be expanded to get a full dimensional cell. The default is 1.0 which means that 1D problems are actually thought as pipes with a cross section of 1 m^2 and 2D problems are assumed to extend 1 m to the back.

The documentation for this class was generated from the following file:

- opm/models/discretization/common/fvbaseintensivequantities.hh